## org.apache.catalina.startup
Class Catalina.CatalinaShutdownHook

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.startup.Catalina.CatalinaShutdownHook

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Catalina

protected class Catalina.CatalinaShutdownHook
extends java.lang.Thread

Shutdown hook which will perform a clean shutdown of Catalina if needed.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` `Catalina.CatalinaShutdownHook()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Catalina.CatalinaShutdownHook

    protected Catalina.CatalinaShutdownHook()

Method Detail

### run

    public void run()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.